vmhgfs doesn't work with linux 3.13 kernel

Bug #1272196 reported by Michael Bienia on 2014-01-24
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
open-vm-tools (Ubuntu)
High
Robert C Jennings

Bug Description

I'm using current trusty in a VMware image and with linux 3.13 the vmhgfs module doesn't work anymore. I use it to easily exchange files between my Windows desktop and the VM.

$ uname -a
Linux ubuntu 3.13.0-5-generic #20-Ubuntu SMP Mon Jan 20 19:56:38 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
$ sudo modprobe vmhgfs
$ sudo mount /mnt/hgfs/
$ ls /mnt/hgfs/
ls: cannot access /mnt/hgfs/: Not a directory
$ ls -l /mnt
total 3
dr-xr-xr-x 1 root root 4192 Jan 24 08:27 hgfs

Before the mounting or after unmounting /mnt/hgfs I can access that directory without problems.

Folder sharing is enabled in the VM settings and works when I boot a linux 3.12 kernel (linux-image-3.12.0-7-generic).

Can you please provide logs, including dmesg, /etc/fstab, and other supporting evidence of this change?

Changed in open-vm-tools (Ubuntu):
status: New → Incomplete
Michael Bienia (geser) wrote :

The version of open-vm-tools-dkms is 2:9.4.0-1280544-5ubuntu2.
My fstab entry is:
.host:/ /mnt/hgfs vmhgfs defaults,noauto 0 0

With Linux ubuntu 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux:
After a "sudo modprobe vmhgfs" dmesg contains only
[21813.018552] vmhgfs: module verification failed: signature and/or required key missing - tainting kernel
as a new entry.

$ sudo mount /mnt/hgfs/
$ ls /mnt/hgfs/
Documents Pictures
(those 2 directories are the configured shared folder in my VMware Player)

$ modinfo vmhgfs
filename: /lib/modules/3.12.0-7-generic/updates/dkms/vmhgfs.ko
supported: external
alias: vmware_vmhgfs
license: GPL v2
version: 1.4.1.1
description: VMware Host/Guest File System
author: VMware, Inc.
srcversion: F51BF051960489CEB001EA2
depends: vmw_vmci
vermagic: 3.12.0-7-generic SMP mod_unload modversions
parm: USE_VMCI:int
parm: HOST_IP:charp
parm: HOST_PORT:int
parm: HOST_VSOCKET_PORT:int

With Linux ubuntu 3.13.0-5-generic #20-Ubuntu SMP Mon Jan 20 19:56:38 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux:
After a "sudo modprobe vmhgfs" dmesg also contains only
[ 136.135867] vmhgfs: module verification failed: signature and/or required key missing - tainting kernel
as a new entry

$ sudo mount /mnt/hgfs/
(no error and no new entries in dmesg)
$ ls /mnt/hgfs/
ls: cannot access /mnt/hgfs/: Not a directory

$ modinfo vmhgfs
filename: /lib/modules/3.13.0-5-generic/updates/dkms/vmhgfs.ko
supported: external
alias: vmware_vmhgfs
license: GPL v2
version: 1.4.1.1
description: VMware Host/Guest File System
author: VMware, Inc.
srcversion: F51BF051960489CEB001EA2
depends: vmw_vmci
vermagic: 3.13.0-5-generic SMP mod_unload modversions
parm: USE_VMCI:int
parm: HOST_IP:charp
parm: HOST_PORT:int
parm: HOST_VSOCKET_PORT:int

$ ls -l /lib/modules/*/updates/dkms/vmhgfs.ko
-rw-r--r-- 1 root root 103216 Jan 27 08:34 /lib/modules/3.12.0-7-generic/updates/dkms/vmhgfs.ko
-rw-r--r-- 1 root root 102976 Jan 27 08:35 /lib/modules/3.13.0-5-generic/updates/dkms/vmhgfs.ko

Michael Bienia (geser) wrote :
Michael Bienia (geser) wrote :
Robert C Jennings (rcj) on 2014-02-06
Changed in open-vm-tools (Ubuntu):
assignee: nobody → Robert C Jennings (rcj)
Robert C Jennings (rcj) on 2014-02-11
Changed in open-vm-tools (Ubuntu):
status: Incomplete → In Progress
Robert C Jennings (rcj) on 2014-02-11
Changed in open-vm-tools (Ubuntu):
milestone: none → ubuntu-14.04-beta-2
milestone: ubuntu-14.04-beta-2 → ubuntu-14.04-beta-1
importance: Undecided → High
Robert C Jennings (rcj) wrote :

My branch for the code is @ lp:~rcj/ubuntu/trusty/open-vm-tools/lp1274157
Merge request https://code.launchpad.net/~rcj/ubuntu/trusty/open-vm-tools/lp1274157/+merge/205235
Build at https://launchpad.net/~rcj/+archive/testing/

The vmhgfs (VMWare Host<->Guest File System) module is no longer be supported by VMWare and it does not build on recent kernels. This merge proposal drops the vmhgfs module from the package. This eliminates the dkms package as ithis modules was the last out-of-tree module still being shipped. In removing the dkms package I am cleaning up the remaining man pages that referenced the kernel modules as well as a post-install script which had been updating the initramfs for the modules.

While this does remove the out-of-tree vmhgfs kernel module, it retains the fuse code for hgfs and the mount helper which are necessary for file drag-and-drop support in open-vm-tools-desktop.

Robert C Jennings (rcj) wrote :

The attachment "debdiff for proposed changes" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Chris J Arges (arges) wrote :

sponsored with a minor email change

Robert C Jennings (rcj) on 2014-02-13
Changed in open-vm-tools (Ubuntu):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

I've unsubscribed the sponsors team since this was already sponsored.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package open-vm-tools - 2:9.4.0-1280544-5ubuntu4

---------------
open-vm-tools (2:9.4.0-1280544-5ubuntu4) trusty; urgency=low

  * Fix package dependancy that broke open-vm-dkms installation.
    (LP: #1281708)
 -- Robert C Jennings <email address hidden> Tue, 18 Feb 2014 16:57:24 -0600

Changed in open-vm-tools (Ubuntu):
status: Fix Committed → Fix Released
Bernd Zeimetz (bzed) wrote :

This solution is bullshit, all other distributions inkluding Debian ship a working version of the vmhgfs module. Debian unstable might need 3.16 to build, though, I've removed patches for older kernels.

Gregory Fong (gvfong) wrote :

"The vmhgfs (VMWare Host<->Guest File System) module is no longer be supported by VMWare and it does not build on recent kernels."

Robert, where did this information come from? According to Steve Goddard (VMware employee) in March 2014, "There has been a bug filed to track this issue and it will be addressed shortly." See https://communities.vmware.com/message/2355129#2355129

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers